tigase.server.xmppserver

## Class CIDConnections

- java.lang.Object
- - tigase.server.xmppserver.CIDConnections

-     public class CIDConnections
      extends Object

  Created: Jun 14, 2010 12:32:49 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CIDConnections(CID cid, S2SConnectionHandlerIfc<S2SIOService> handler, S2SConnectionSelector selector, int maxInConns, int maxOutConns, int maxOutConnsPerIP, long max_waiting_time)` Constructs ...

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDBKey(String sessId, String key)` Method description
    `void` | `addIncoming(S2SIOService serv)` Method description
    `void` | `connectionAuthenticated(S2SIOService serv, CID cid)` Method description
    `void` | `connectionAuthenticated(String sessionId, CID cid)` Method description
    `void` | `connectionStopped(S2SIOService serv)` Method description
    `String` | `getDBKey(String key_sessionId)` Method description
    `int` | `getDBKeysCount()` Method description
    `int` | `getIncomingCount()` Method description
    `int` | `getIncomingTLSCount()` Method description
    `int` | `getMaxOutConns()` Method description
    `int` | `getMaxOutConnsPerIP()` Method description
    `int` | `getOutgoingCount()` Method description
    `int` | `getOutgoingHandshakingCount()` Method description
    `boolean` | `getOutgoingInProgress()` Method description
    `int` | `getOutgoingTLSCount()` Method description
    `S2SConnection` | `getS2SConnectionForSessionId(String sessionId)` Method description
    `int` | `getWaitingControlCount()` Method description
    `int` | `getWaitingCount()` Method description
    `void` | `reconnectionFailed(Map<String,Object> port_props)` Method description
    `void` | `resetOutgoingInProgress()` Method description
    `boolean` | `sendControlPacket(String sessionId, Packet packet)` Method description
    `void` | `sendHandshakingOnly(Packet verify_req)` Method description
    `void` | `sendPacket(Packet packet)` Method description
    `static void` | `setOutgoingOpenThreadsSize(int size)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CIDConnections

          public CIDConnections(CID cid,
                                S2SConnectionHandlerIfc<S2SIOService> handler,
                                S2SConnectionSelector selector,
                                int maxInConns,
                                int maxOutConns,
                                int maxOutConnsPerIP,
                                long max_waiting_time)

      Constructs ...
      Parameters:
        `cid` -
        `handler` -
        `selector` -
        `maxInConns` -
        `maxOutConns` -
        `maxOutConnsPerIP` -
        `max_waiting_time` -

  - ### Method Detail

    - #### setOutgoingOpenThreadsSize

          public static void setOutgoingOpenThreadsSize(int size)

    - #### resetOutgoingInProgress

          public void resetOutgoingInProgress()

      Method description

    - #### getOutgoingInProgress

          public boolean getOutgoingInProgress()

      Method description

    - #### addDBKey

          public void addDBKey(String sessId,
                               String key)

      Method description
      Parameters:
        `sessId` -
        `key` -

    - #### addIncoming

          public void addIncoming(S2SIOService serv)

      Method description
      Parameters:
        `serv` -

    - #### connectionAuthenticated

          public void connectionAuthenticated(S2SIOService serv,
                                              CID cid)

      Method description
      Parameters:
        `serv` -

    - #### connectionAuthenticated

          public void connectionAuthenticated(String sessionId,
                                              CID cid)

      Method description
      Parameters:
        `sessionId` -

    - #### connectionStopped

          public void connectionStopped(S2SIOService serv)

      Method description
      Parameters:
        `serv` -

    - #### getDBKey

          public String getDBKey(String key_sessionId)

      Method description
      Parameters:
        `key_sessionId` -

    - #### getDBKeysCount

          public int getDBKeysCount()

      Method description

    - #### getIncomingCount

          public int getIncomingCount()

      Method description

    - #### getIncomingTLSCount

          public int getIncomingTLSCount()

      Method description

    - #### getMaxOutConns

          public int getMaxOutConns()

      Method description

    - #### getMaxOutConnsPerIP

          public int getMaxOutConnsPerIP()

      Method description

    - #### getOutgoingCount

          public int getOutgoingCount()

      Method description

    - #### getOutgoingHandshakingCount

          public int getOutgoingHandshakingCount()

      Method description

    - #### getOutgoingTLSCount

          public int getOutgoingTLSCount()

      Method description

    - #### getS2SConnectionForSessionId

          public S2SConnection getS2SConnectionForSessionId(String sessionId)

      Method description
      Parameters:
        `sessionId` -

    - #### getWaitingControlCount

          public int getWaitingControlCount()

      Method description

    - #### getWaitingCount

          public int getWaitingCount()

      Method description

    - #### reconnectionFailed

          public void reconnectionFailed(Map<String,Object> port_props)

      Method description
      Parameters:
        `port_props` -

    - #### sendControlPacket

          public boolean sendControlPacket(String sessionId,
                                           Packet packet)

      Method description
      Parameters:
        `sessionId` -
        `packet` -

    - #### sendHandshakingOnly

          public void sendHandshakingOnly(Packet verify_req)

      Method description
      Parameters:
        `verify_req` -

    - #### sendPacket

          public void sendPacket(Packet packet)

      Method description
      Parameters:
        `packet` -

Copyright © 2018 "Tigase, Inc.". All rights reserved.